[emerald] bump to current upstream compiz++ git branch, various adjustments to update package to current compi

Adam Williamson adamwill at fedoraproject.org
Wed Jan 19 02:12:29 UTC 2011


commit 61752d545c8208880c3dc55856a4eacb432271d3
Author: Adam Williamson <awilliam at redhat.com>
Date:   Wed Jan 19 02:11:47 2011 +0000

    bump to current upstream compiz++ git branch, various adjustments to update
    package to current compiz and fedora standards

 .gitignore                                         |    1 +
 DSO.patch                                          |   16 +-
 Makefile.in.in                                     |  217 ++++++++++++++++++++
 ...-1d92f64287cded4310c49d7ac64064f75f348506.patch |   79 -------
 emerald.spec                                       |   55 +++--
 gcc43-buildfix.patch                               |   13 --
 gtk.patch                                          |   31 ---
 sources                                            |    2 +-
 8 files changed, 258 insertions(+), 156 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index 783a2be..7d8ae3e 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1 +1,2 @@
 emerald-0.8.4.tar.bz2
+/emerald-30e3d45437b4285818ec016905151390c9604441.tar.bz2
diff --git a/DSO.patch b/DSO.patch
index b4378be..9ee0607 100644
--- a/DSO.patch
+++ b/DSO.patch
@@ -1,11 +1,9 @@
---- emerald-0.8.4.orig/src/Makefile.in	2010-02-18 20:01:14.000000000 +0000
-+++ emerald-0.8.4/src/Makefile.in	2010-02-18 20:02:46.000000000 +0000
-@@ -208,7 +208,7 @@ target_alias = @target_alias@
- top_build_prefix = @top_build_prefix@
- top_builddir = @top_builddir@
- top_srcdir = @top_srcdir@
--emerald_LDADD = @EMERALD_LIBS@ $(top_builddir)/libengine/libemeraldengine.la
-+emerald_LDADD = @EMERALD_LIBS@ $(top_builddir)/libengine/libemeraldengine.la -lm -ldl
+--- emerald/src/Makefile.am	2011-01-19 01:29:13.232159500 +0000
++++ emerald/src/Makefile.am.new	2011-01-19 01:36:14.964906582 +0000
+@@ -1,5 +1,5 @@
+ ## Process this file with automake to produce Makefile.in
+-emerald_LDADD   = @EMERALD_LIBS@ $(top_builddir)/libengine/libemeraldengine.la
++emerald_LDADD   = @EMERALD_LIBS@ $(top_builddir)/libengine/libemeraldengine.la -lm -ldl
  emerald_SOURCES = main.c \
  			   engine_loader.c
- 
+ emerald_program = emerald
diff --git a/Makefile.in.in b/Makefile.in.in
new file mode 100644
index 0000000..c7e8302
--- /dev/null
+++ b/Makefile.in.in
@@ -0,0 +1,217 @@
+# Makefile for program source directory in GNU NLS utilities package.
+# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper at gnu.ai.mit.edu>
+# Copyright (C) 2004-2008 Rodney Dawes <dobey.pwns at gmail.com>
+#
+# This file may be copied and used freely without restrictions.  It may
+# be used in projects which are not available under a GNU Public License,
+# but which still want to provide support for the GNU gettext functionality.
+#
+# - Modified by Owen Taylor <otaylor at redhat.com> to use GETTEXT_PACKAGE
+#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
+#
+# - Modified by jacob berkman <jacob at ximian.com> to install
+#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
+#
+# - Modified by Rodney Dawes <dobey.pwns at gmail.com> for use with intltool
+#
+# We have the following line for use by intltoolize:
+# INTLTOOL_MAKEFILE
+
+GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
+PACKAGE = @PACKAGE@
+VERSION = @VERSION@
+
+SHELL = @SHELL@
+
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+top_builddir = @top_builddir@
+VPATH = @srcdir@
+
+prefix = @prefix@
+exec_prefix = @exec_prefix@
+datadir = @datadir@
+datarootdir = @datarootdir@
+libdir = @libdir@
+DATADIRNAME = @DATADIRNAME@
+itlocaledir = $(prefix)/$(DATADIRNAME)/locale
+subdir = po
+install_sh = @install_sh@
+# Automake >= 1.8 provides @mkdir_p at .
+# Until it can be supposed, use the safe fallback:
+mkdir_p = $(install_sh) -d
+
+INSTALL = @INSTALL@
+INSTALL_DATA = @INSTALL_DATA@
+
+GMSGFMT = @GMSGFMT@
+MSGFMT = @MSGFMT@
+XGETTEXT = @XGETTEXT@
+INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
+INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
+MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
+GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot
+
+ALL_LINGUAS = @ALL_LINGUAS@
+
+PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; else echo "$(ALL_LINGUAS)"; fi)
+
+USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep '^$$lang$$' $(srcdir)/LINGUAS 2>/dev/null`" -o -n "`echo $$ALINGUAS|tr ' ' '\n'|grep '^$$lang$$'`"; then printf "$$lang "; fi; done; fi)
+
+USE_LINGUAS=$(shell if test -n "$(USER_LINGUAS)" -o -n "$(LINGUAS)"; then LLINGUAS="$(USER_LINGUAS)"; else if test -n "$(PO_LINGUAS)"; then LLINGUAS="$(PO_LINGUAS)"; else LLINGUAS="$(ALL_LINGUAS)"; fi; fi; for lang in $$LLINGUAS; do printf "$$lang "; done)
+
+POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)
+
+DISTFILES = Makefile.in.in POTFILES.in $(POFILES)
+EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS
+
+POTFILES = \
+# This comment gets stripped out
+
+CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)
+
+.SUFFIXES:
+.SUFFIXES: .po .pox .gmo .mo .msg .cat
+
+.po.pox:
+	$(MAKE) $(GETTEXT_PACKAGE).pot
+	$(MSGMERGE) $< $(GETTEXT_PACKAGE).pot -o $*.pox
+
+.po.mo:
+	$(MSGFMT) -o $@ $<
+
+.po.gmo:
+	file=`echo $* | sed 's,.*/,,'`.gmo \
+	  && rm -f $$file && $(GMSGFMT) -o $$file $<
+
+.po.cat:
+	sed -f ../intl/po2msg.sed < $< > $*.msg \
+	  && rm -f $@ && gencat $@ $*.msg
+
+
+all: all- at USE_NLS@
+
+all-yes: $(CATALOGS)
+all-no:
+
+$(GETTEXT_PACKAGE).pot: $(POTFILES)
+	$(GENPOT)
+
+install: install-data
+install-data: install-data- at USE_NLS@
+install-data-no: all
+install-data-yes: all
+	linguas="$(USE_LINGUAS)"; \
+	for lang in $$linguas; do \
+	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
+	  $(mkdir_p) $$dir; \
+	  if test -r $$lang.gmo; then \
+	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
+	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
+	  else \
+	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
+	    echo "installing $(srcdir)/$$lang.gmo as" \
+		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
+	  fi; \
+	  if test -r $$lang.gmo.m; then \
+	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
+	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
+	  else \
+	    if test -r $(srcdir)/$$lang.gmo.m ; then \
+	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
+		$$dir/$(GETTEXT_PACKAGE).mo.m; \
+	      echo "installing $(srcdir)/$$lang.gmo.m as" \
+		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
+	    else \
+	      true; \
+	    fi; \
+	  fi; \
+	done
+
+# Empty stubs to satisfy archaic automake needs
+dvi info tags TAGS ID:
+
+# Define this as empty until I found a useful application.
+install-exec installcheck:
+
+uninstall:
+	linguas="$(USE_LINGUAS)"; \
+	for lang in $$linguas; do \
+	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
+	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo.m; \
+	done
+
+check: all $(GETTEXT_PACKAGE).pot
+	rm -f missing notexist
+	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -m
+	if [ -r missing -o -r notexist ]; then \
+	  exit 1; \
+	fi
+
+mostlyclean:
+	rm -f *.pox $(GETTEXT_PACKAGE).pot *.old.po cat-id-tbl.tmp
+	rm -f .intltool-merge-cache
+
+clean: mostlyclean
+
+distclean: clean
+	rm -f Makefile Makefile.in POTFILES stamp-it
+	rm -f *.mo *.msg *.cat *.cat.m *.gmo
+
+maintainer-clean: distclean
+	@echo "This command is intended for maintainers to use;"
+	@echo "it deletes files that may require special tools to rebuild."
+	rm -f Makefile.in.in
+
+distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
+dist distdir: $(DISTFILES)
+	dists="$(DISTFILES)"; \
+	extra_dists="$(EXTRA_DISTFILES)"; \
+	for file in $$extra_dists; do \
+	  test -f $(srcdir)/$$file && dists="$$dists $(srcdir)/$$file"; \
+	done; \
+	for file in $$dists; do \
+	  test -f $$file || file="$(srcdir)/$$file"; \
+	  ln $$file $(distdir) 2> /dev/null \
+	    || cp -p $$file $(distdir); \
+	done
+
+update-po: Makefile
+	$(MAKE) $(GETTEXT_PACKAGE).pot
+	tmpdir=`pwd`; \
+	linguas="$(USE_LINGUAS)"; \
+	for lang in $$linguas; do \
+	  echo "$$lang:"; \
+	  result="`$(MSGMERGE) -o $$tmpdir/$$lang.new.po $$lang`"; \
+	  if $$result; then \
+	    if cmp $(srcdir)/$$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
+	      rm -f $$tmpdir/$$lang.new.po; \
+            else \
+	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
+	        :; \
+	      else \
+	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
+	        rm -f $$tmpdir/$$lang.new.po; \
+	        exit 1; \
+	      fi; \
+	    fi; \
+	  else \
+	    echo "msgmerge for $$lang.gmo failed!"; \
+	    rm -f $$tmpdir/$$lang.new.po; \
+	  fi; \
+	done
+
+Makefile POTFILES: stamp-it
+	@if test ! -f $@; then \
+	  rm -f stamp-it; \
+	  $(MAKE) stamp-it; \
+	fi
+
+stamp-it: Makefile.in.in $(top_builddir)/config.status POTFILES.in
+	cd $(top_builddir) \
+	  && CONFIG_FILES=$(subdir)/Makefile.in CONFIG_HEADERS= CONFIG_LINKS= \
+	       $(SHELL) ./config.status
+
+# Tell versions [3.59,3.63) of GNU make not to export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:
diff --git a/emerald.spec b/emerald.spec
index 6a70f72..58e3efd 100644
--- a/emerald.spec
+++ b/emerald.spec
@@ -1,17 +1,25 @@
 Name:           emerald
-URL:            http://www.compiz-fusion.org/
+URL:            http://www.compiz.org/
 License:        GPLv2
 Group:          User Interface/Desktops
-Version:        0.8.4
-Release:        7%{?dist}
+Version:        0.8.5
+Release:        0.1.git90c9604441%{?dist}
 
 Summary:        Themeable window decorator and compositing manager for Compiz Fusion
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
+#Source0:        http://releases.compiz.org/%{version}/%{name}-%{version}.tar.bz2
+# This is the compiz++ branch from upstream. Commands:
+# git clone git://anongit.compiz.org/fusion/decorators/emerald
+# git branch compiz++ origin/compiz++
+# git checkout compiz++
+# git archive --format=tar compiz++ > emerald-30e3d45437b4285818ec016905151390c9604441.tar
+# bzip2 emerald-30e3d45437b4285818ec016905151390c9604441.tar
+Source0:        emerald-30e3d45437b4285818ec016905151390c9604441.tar.bz2
+# This is po/Makefile.in.in, which seems to be missing from git checkouts;
+# extracted from http://releases.compiz.org/0.8.4/emerald-0.8.4.tar.bz2
+Source1:        Makefile.in.in
 Patch0:         DSO.patch
-Patch1:         gtk.patch
 Patch2:         05_build_without_gtk_disable_deprecated.patch
-Patch3:         emerald-1d92f64287cded4310c49d7ac64064f75f348506.patch
 
 # compiz-devel is not available on these arches
 ExcludeArch:    s390 s390x
@@ -23,6 +31,7 @@ BuildRequires:  gtk+-devel
 BuildRequires:  libwnck-devel
 BuildRequires:  gtk2-devel
 BuildRequires:  intltool 
+BuildRequires:  libtool
 BuildRequires:  desktop-file-utils
 BuildRequires:  perl(XML::Parser) 
 BuildRequires:  gettext-devel
@@ -46,13 +55,13 @@ for emerald, the themeable window decorator for Compiz.
 
 
 %prep
-%setup -q
+%setup -q -c emerald-0.8.5
 %patch0 -p1 -b .DSO
-%patch1 -p1 -b .gtk
 %patch2 -p1 -b .05_build_without_gtk_disable_deprecated
-%patch3 -p1 -b .emerald-1d92f64287cded4310c49d7ac64064f75f348506
+install -m 0644 %{SOURCE1} po/
 
 %build
+autoreconf -i
 %configure --enable-librsvg --disable-mime-update
 sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
 sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
@@ -63,10 +72,6 @@ make %{?_smp_mflags}
 rm -rf $RPM_BUILD_ROOT
 make DESTDIR=$RPM_BUILD_ROOT install
 find $RPM_BUILD_ROOT -type f -name "*.a" -o -name "*.la" | xargs rm -f
-desktop-file-install --vendor fedora --delete-original \
-  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
-  --add-category X-Fedora \
-  $RPM_BUILD_ROOT%{_datadir}/applications/emerald-theme-manager.desktop
 %find_lang %{name}
 
 
@@ -76,26 +81,22 @@ rm -rf $RPM_BUILD_ROOT
 
 %post
 /sbin/ldconfig
-update-mime-database %{_datadir}/mime &>/dev/null || :
-update-desktop-database %{_datadir}/applications &> /dev/null || :
+update-desktop-database &> /dev/null || :
+update-mime-database %{_datadir}/mime &> /dev/null || :
 
 %postun
 /sbin/ldconfig
-update-mime-database %{_datadir}/mime &>/dev/null || :
-update-desktop-database %{_datadir}/applications &> /dev/null || :
+update-desktop-database &> /dev/null || :
+update-mime-database %{_datadir}/mime &> /dev/null || :
 
 %files -f %{name}.lang
 %defattr(-,root,root,-)
 %doc COPYING
 %{_bindir}/*
 %{_datadir}/pixmaps/*
-%dir %{_libdir}/emerald
-%{_libdir}/emerald/*
+%{_libdir}/emerald
 %{_libdir}/libemeraldengine.so.*
-%dir %{_datadir}/emerald
-%dir %{_datadir}/emerald/theme
-%{_datadir}/emerald/theme/*
-%{_datadir}/emerald/settings.ini
+%{_datadir}/emerald
 %{_datadir}/applications/*
 %{_datadir}/mime-info/*
 %{_datadir}/mime/packages/*
@@ -109,6 +110,14 @@ update-desktop-database %{_datadir}/applications &> /dev/null || :
 %{_libdir}/libemeraldengine.so
 
 %changelog
+* Wed Jan 19 2011 Adam Williamson <awilliam at redhat.com> - 0.8.5-1.git90c9604441
+- bump to upstream compiz++ git branch
+- rebuild against new compiz
+- update scriptlet snippets
+- simplify file lists
+- update URLs
+- rediff DSO.patch and drop upstreamed patches
+
 * Sun Nov 14 2010 Leigh Scott <leigh123linux at googlemail.com> - 0.8.4-7
 - apply more upstream gtk deprecated fixes
 
diff --git a/sources b/sources
index 50911ee..daa4cd4 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-e92fbe8252ea393206d98ed6ae9af4ec  emerald-0.8.4.tar.bz2
+87c3e8a5bf62be07fcdcb0d950165576  emerald-30e3d45437b4285818ec016905151390c9604441.tar.bz2


More information about the scm-commits mailing list